Subject: Re: Typo in example from draft-ietf-smime-key-wrap-01.txt

From: "Housley, Russ" <[email-masked]>
Date: Tue, 11 Dec 2001 19:42:01 -0500

Christian:

Thanks for catching this typo.  This document is about to become an RFC, I 
will make sure the RFC Editor fixes it prior to publication.

Russ

At 07:04 PM 12/10/2001 +0100, Christian Geuer-Pollmann wrote:
>Hi Russell,
>hi xenc implementors who wanna implement the required KeyWrap 
>http://www.w3.org/2001/04/xmlenc#kw-tripledes :
>
>
>In Section 3.4 of [1], the variable TEMP1 has a twisted HEX value: 3b97 
>should be 973b.
>
>3.4  Triple-DES Key Wrap Example
>
>WRONG !!!!!
>   TEMP1:   cfc1 a789 c675 dd2a b49a 3204 ef92 cc03 5c1f 3b97 7a79 60f6
>            a44d cc5f 729d 8449
>
>RIGHT:
>   TEMP1:   cfc1 a789 c675 dd2a b49a 3204 ef92 cc03 5c1f 973b 7a79 60f6
>            a44d cc5f 729d 8449
>
>
>Thanks,
>Christian
>
>
>[1] Triple-DES and RC2 Key Wrapping
>    http://www.ietf.org/internet-drafts/draft-ietf-smime-key-wrap-01.txt